<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>API Reference</title>

    <link rel="stylesheet" href="css/style.css" />
    <script src="js/all.js"></script>


          <script>
        $(function() {
            setupLanguages(["bash","javascript"]);
        });
      </script>
      </head>

  <body class="">
    <a href="#" id="nav-button">
      <span>
        NAV
        <img src="images/navbar.png" />
      </span>
    </a>
    <div class="tocify-wrapper">
        <img src="images/logo.png" />
                    <div class="lang-selector">
                                  <a href="#" data-language-name="bash">bash</a>
                                  <a href="#" data-language-name="javascript">javascript</a>
                            </div>
                            <div class="search">
              <input type="text" class="search" id="input-search" placeholder="Search">
            </div>
            <ul class="search-results"></ul>
              <div id="toc">
      </div>
                    <ul class="toc-footer">
                                  <li><a href='http://github.com/mpociot/documentarian'>Documentation Powered by Documentarian</a></li>
                            </ul>
            </div>
    <div class="page-wrapper">
      <div class="dark-box"></div>
      <div class="content">
          <!-- START_INFO -->
<h1>Info</h1>
<p>Welcome to the generated API reference.
<a href="http://localhost/docs/collection.json">Get Postman Collection</a></p>
<!-- END_INFO -->
<h1>general</h1>
<!-- START_1aff981da377ba9a1bbc56ff8efaec0d -->
<h2>api/v1/users</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idUser": 1,
        "username": "Admin",
        "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
        "idRole": 2,
        "role": {
            "idRole": 2,
            "name": "Admin",
            "level": 1
        }
    },
    {
        "idUser": 2,
        "username": "User",
        "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
        "idRole": 1,
        "role": {
            "idRole": 1,
            "name": "User",
            "level": 0
        }
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users</code></p>
<!-- END_1aff981da377ba9a1bbc56ff8efaec0d -->
<!-- START_4194ceb9a20b7f80b61d14d44df366b4 -->
<h2>api/v1/users</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/users" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/users</code></p>
<!-- END_4194ceb9a20b7f80b61d14d44df366b4 -->
<!-- START_4a5d19d4bd94b15e8aaf05f0cf462ef3 -->
<h2>api/v1/users/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/users/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/users/{id}</code></p>
<!-- END_4a5d19d4bd94b15e8aaf05f0cf462ef3 -->
<!-- START_8e370f8df2793730b7d1497cb3d3a38c -->
<h2>api/v1/users/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "idUser": 1,
    "username": "Admin",
    "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
    "idRole": 2,
    "role": {
        "idRole": 2,
        "name": "Admin",
        "level": 1
    }
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users/{id}</code></p>
<!-- END_8e370f8df2793730b7d1497cb3d3a38c -->
<!-- START_08498cce48aa11679ffc48a788c23321 -->
<h2>api/v1/users/find/{username}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users/find/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/find/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users/find/{username}</code></p>
<!-- END_08498cce48aa11679ffc48a788c23321 -->
<!-- START_8b97688fa48f9a3858d3b640a906b76b -->
<h2>api/v1/users/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/users/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/users/{id}</code></p>
<!-- END_8b97688fa48f9a3858d3b640a906b76b -->
<!-- START_0201d1e65afcb91f9ca1e6c9909b51c1 -->
<h2>api/v1/users/{iduser}/quizzes</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users/1/quizzes" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1/quizzes"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users/{iduser}/quizzes</code></p>
<!-- END_0201d1e65afcb91f9ca1e6c9909b51c1 -->
<!-- START_a0e2889cbdccb3811483d5845fbc1ba0 -->
<h2>api/v1/users/{iduser}/quizzes/{idquizz}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/users/1/quizzes/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1/quizzes/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/users/{iduser}/quizzes/{idquizz}</code></p>
<!-- END_a0e2889cbdccb3811483d5845fbc1ba0 -->
<!-- START_eba8c12652483afe8f8dfcc137d447b5 -->
<h2>api/v1/users/{iduser}/quizzes/{idquizz}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/users/1/quizzes/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1/quizzes/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/users/{iduser}/quizzes/{idquizz}</code></p>
<!-- END_eba8c12652483afe8f8dfcc137d447b5 -->
<!-- START_f120f1f8c6ba6de33ef99e92c5436af4 -->
<h2>api/v1/users/{iduser}/quizzes/{idquizz}/responses</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users/1/quizzes/1/responses" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1/quizzes/1/responses"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users/{iduser}/quizzes/{idquizz}/responses</code></p>
<!-- END_f120f1f8c6ba6de33ef99e92c5436af4 -->
<!-- START_125d2e3ff742251208a2216064c4839c -->
<h2>api/v1/users/{iduser}/ownedquizzes</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/users/1/ownedquizzes" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/users/1/ownedquizzes"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idQuizz": 1,
        "name": "Quizz Numero 1",
        "idUser": 1,
        "Date": "2021-09-20"
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/users/{iduser}/ownedquizzes</code></p>
<!-- END_125d2e3ff742251208a2216064c4839c -->
<!-- START_2814814aaa1f8bbab20f2e3b12b94e5c -->
<h2>api/v1/quizzes</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/quizzes" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idQuizz": 1,
        "name": "Quizz Numero 1",
        "idUser": 1,
        "Date": "2021-09-20",
        "owner": {
            "idUser": 1,
            "username": "Admin",
            "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
            "idRole": 2
        }
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/quizzes</code></p>
<!-- END_2814814aaa1f8bbab20f2e3b12b94e5c -->
<!-- START_2ddfa9e9ab268cf8cf2fe44d13ba1c08 -->
<h2>api/v1/quizzes</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/quizzes" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/quizzes</code></p>
<!-- END_2ddfa9e9ab268cf8cf2fe44d13ba1c08 -->
<!-- START_9cc067c9c32ee2e7f8042938209c7b9e -->
<h2>api/v1/quizzes/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/quizzes/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/quizzes/{id}</code></p>
<!-- END_9cc067c9c32ee2e7f8042938209c7b9e -->
<!-- START_a3aeb67e38a87b2355893d4be3357f19 -->
<h2>api/v1/quizzes/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/quizzes/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "idQuizz": 1,
    "name": "Quizz Numero 1",
    "idUser": 1,
    "Date": "2021-09-20",
    "owner": {
        "idUser": 1,
        "username": "Admin",
        "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
        "idRole": 2
    }
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/quizzes/{id}</code></p>
<!-- END_a3aeb67e38a87b2355893d4be3357f19 -->
<!-- START_e0db394e83bb5acf5ed41d5336210427 -->
<h2>api/v1/quizzes/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/quizzes/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/quizzes/{id}</code></p>
<!-- END_e0db394e83bb5acf5ed41d5336210427 -->
<!-- START_873eb7b93dce9ca2d0a611aa9ff0b079 -->
<h2>api/v1/quizzes/{idquizz}/users</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/quizzes/1/users" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1/users"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idUser": 2,
        "username": "User",
        "password": "a665a45920422f9d417e4867efdc4fb8a04a1f3fff1fa07e998e86f7f7a27ae3",
        "idRole": 1,
        "pivot": {
            "idQuizz": 1,
            "idUser": 2
        }
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/quizzes/{idquizz}/users</code></p>
<!-- END_873eb7b93dce9ca2d0a611aa9ff0b079 -->
<!-- START_d7f0c565c232746d6c8339c90e703df2 -->
<h2>api/v1/quizzes/{idquizz}/responses</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/quizzes/1/responses" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1/responses"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idResponse": 106,
        "respUser": "{\"ResponseTrue\": \"Oui\", \"ResponseFalse\": \"Non\", \"ResponseCorrection\": true}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 1
    },
    {
        "idResponse": 107,
        "respUser": "{\"Response\": [{\"Title\": \"Reponse\", \"ListQuestion\": [\"Question\"]}, {\"Title\": \"reponse deux\", \"ListQuestion\": []}], \"WrongQuestion\": [\"Question \", \"Question\"]}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 2
    },
    {
        "idResponse": 108,
        "respUser": "{\"ListQcm\": {\"un\": false, \"deux\": true, \"trois\": true, \"quatre\": false}}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 3
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/quizzes/{idquizz}/responses</code></p>
<!-- END_d7f0c565c232746d6c8339c90e703df2 -->
<!-- START_4f0796a10a7ceecfee66a6939e203739 -->
<h2>api/v1/quizzes/{idquizz}/responses</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/quizzes/1/responses" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1/responses"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/quizzes/{idquizz}/responses</code></p>
<!-- END_4f0796a10a7ceecfee66a6939e203739 -->
<!-- START_04f038c9a1729c1208c098ce64c13e9c -->
<h2>api/v1/quizzes/{idquizz}/questions</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/quizzes/1/questions" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/quizzes/1/questions"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idQuestion": 1,
        "title": "Question vrai faux 1",
        "idQuizz": 1,
        "idType": 2,
        "correction": "{\"ResponseTrue\": \"Oui\", \"ResponseFalse\": \"Non\", \"ResponseCorrection\": true}"
    },
    {
        "idQuestion": 2,
        "title": "Question Drag and drop 1",
        "idQuizz": 1,
        "idType": 1,
        "correction": "{\"Response\": [{\"Title\": \"Reponse\", \"ListQuestion\": [\"Question \"]}, {\"Title\": \"reponse deux\", \"ListQuestion\": [\"Question\"]}], \"WrongQuestion\": [\"Question\"]}"
    },
    {
        "idQuestion": 3,
        "title": "Question QCM 1",
        "idQuizz": 1,
        "idType": 3,
        "correction": "{\"ListQcm\": {\"un\": false, \"deux\": true, \"trois\": false, \"quatre\": true}}"
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/quizzes/{idquizz}/questions</code></p>
<!-- END_04f038c9a1729c1208c098ce64c13e9c -->
<!-- START_c8c46f79ea22771862059c1f7bcb0e64 -->
<h2>api/v1/types</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/types" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/types"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idType": 1,
        "name": "DragDrop"
    },
    {
        "idType": 2,
        "name": "VraiFaux"
    },
    {
        "idType": 3,
        "name": "QCM"
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/types</code></p>
<!-- END_c8c46f79ea22771862059c1f7bcb0e64 -->
<!-- START_4c3debe116eeaffe26c8e69d80a59122 -->
<h2>api/v1/types</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/types" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/types"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/types</code></p>
<!-- END_4c3debe116eeaffe26c8e69d80a59122 -->
<!-- START_0f668e1bad1fc18accbe59e5c6291463 -->
<h2>api/v1/types/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/types/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/types/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/types/{id}</code></p>
<!-- END_0f668e1bad1fc18accbe59e5c6291463 -->
<!-- START_833ed78896caf9acfb783aa76731706c -->
<h2>api/v1/types/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/types/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/types/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "idType": 1,
    "name": "DragDrop"
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/types/{id}</code></p>
<!-- END_833ed78896caf9acfb783aa76731706c -->
<!-- START_dfd81219fd63f587e42ba1320da3e057 -->
<h2>api/v1/types/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/types/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/types/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/types/{id}</code></p>
<!-- END_dfd81219fd63f587e42ba1320da3e057 -->
<!-- START_d2f16357cb4ed36dbb0e9529ea4a460c -->
<h2>api/v1/roles</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/roles" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/roles"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idRole": 1,
        "name": "User",
        "level": 0
    },
    {
        "idRole": 2,
        "name": "Admin",
        "level": 1
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/roles</code></p>
<!-- END_d2f16357cb4ed36dbb0e9529ea4a460c -->
<!-- START_5f753b2bffb6b34b6136ddfe1be7bcce -->
<h2>api/v1/roles</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/roles" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/roles"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/roles</code></p>
<!-- END_5f753b2bffb6b34b6136ddfe1be7bcce -->
<!-- START_f4e79933e504b4eb9f9e7c247fc20d28 -->
<h2>api/v1/roles/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/roles/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/roles/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/roles/{id}</code></p>
<!-- END_f4e79933e504b4eb9f9e7c247fc20d28 -->
<!-- START_c57949fbf404e2e15ad7f5093f8ac5ad -->
<h2>api/v1/roles/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/roles/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/roles/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "idRole": 1,
    "name": "User",
    "level": 0
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/roles/{id}</code></p>
<!-- END_c57949fbf404e2e15ad7f5093f8ac5ad -->
<!-- START_6611a6d3290580c932f0482a0234c02b -->
<h2>api/v1/roles/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/roles/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/roles/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/roles/{id}</code></p>
<!-- END_6611a6d3290580c932f0482a0234c02b -->
<!-- START_7811821dc25ba880c64a0fa5e9dffdfd -->
<h2>api/v1/responses</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/responses" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/responses"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idResponse": 106,
        "respUser": "{\"ResponseTrue\": \"Oui\", \"ResponseFalse\": \"Non\", \"ResponseCorrection\": true}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 1
    },
    {
        "idResponse": 107,
        "respUser": "{\"Response\": [{\"Title\": \"Reponse\", \"ListQuestion\": [\"Question\"]}, {\"Title\": \"reponse deux\", \"ListQuestion\": []}], \"WrongQuestion\": [\"Question \", \"Question\"]}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 2
    },
    {
        "idResponse": 108,
        "respUser": "{\"ListQcm\": {\"un\": false, \"deux\": true, \"trois\": true, \"quatre\": false}}",
        "idQuizz": 1,
        "idUser": 2,
        "idQuestion": 3
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/responses</code></p>
<!-- END_7811821dc25ba880c64a0fa5e9dffdfd -->
<!-- START_a42d1d6807c0fc46613ca0dbcb89d4fe -->
<h2>api/v1/responses</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/responses" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/responses"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/responses</code></p>
<!-- END_a42d1d6807c0fc46613ca0dbcb89d4fe -->
<!-- START_71f9eba51d3fc925d6f02d4bd604b08f -->
<h2>api/v1/responses/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/responses/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/responses/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/responses/{id}</code></p>
<!-- END_71f9eba51d3fc925d6f02d4bd604b08f -->
<!-- START_8aaaefc4ec1010cdb715d9867cb33bbe -->
<h2>api/v1/responses/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/responses/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/responses/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/responses/{id}</code></p>
<!-- END_8aaaefc4ec1010cdb715d9867cb33bbe -->
<!-- START_1c21f58aebda38e0c265b1ca161cbaf8 -->
<h2>api/v1/responses/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/responses/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/responses/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/responses/{id}</code></p>
<!-- END_1c21f58aebda38e0c265b1ca161cbaf8 -->
<!-- START_0aa6e14208df1945877224c20ca26f46 -->
<h2>api/v1/questions</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/questions" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/questions"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">[
    {
        "idQuestion": 1,
        "title": "Question vrai faux 1",
        "idQuizz": 1,
        "idType": 2,
        "correction": "{\"ResponseTrue\": \"Oui\", \"ResponseFalse\": \"Non\", \"ResponseCorrection\": true}",
        "type": {
            "idType": 2,
            "name": "VraiFaux"
        }
    },
    {
        "idQuestion": 2,
        "title": "Question Drag and drop 1",
        "idQuizz": 1,
        "idType": 1,
        "correction": "{\"Response\": [{\"Title\": \"Reponse\", \"ListQuestion\": [\"Question \"]}, {\"Title\": \"reponse deux\", \"ListQuestion\": [\"Question\"]}], \"WrongQuestion\": [\"Question\"]}",
        "type": {
            "idType": 1,
            "name": "DragDrop"
        }
    },
    {
        "idQuestion": 3,
        "title": "Question QCM 1",
        "idQuizz": 1,
        "idType": 3,
        "correction": "{\"ListQcm\": {\"un\": false, \"deux\": true, \"trois\": false, \"quatre\": true}}",
        "type": {
            "idType": 3,
            "name": "QCM"
        }
    }
]</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/questions</code></p>
<!-- END_0aa6e14208df1945877224c20ca26f46 -->
<!-- START_fbd033d4038578cf755c7758d540c071 -->
<h2>api/v1/questions</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "http://localhost/api/v1/questions" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/questions"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>POST api/v1/questions</code></p>
<!-- END_fbd033d4038578cf755c7758d540c071 -->
<!-- START_b2511fd79e433adceab202878439c588 -->
<h2>api/v1/questions/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "http://localhost/api/v1/questions/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/questions/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "PUT",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>PUT api/v1/questions/{id}</code></p>
<!-- END_b2511fd79e433adceab202878439c588 -->
<!-- START_a83563229665ff6c1c321ed7b6cc1c56 -->
<h2>api/v1/questions/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "http://localhost/api/v1/questions/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/questions/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "idQuestion": 1,
    "title": "Question vrai faux 1",
    "idQuizz": 1,
    "idType": 2,
    "correction": "{\"ResponseTrue\": \"Oui\", \"ResponseFalse\": \"Non\", \"ResponseCorrection\": true}",
    "type": {
        "idType": 2,
        "name": "VraiFaux"
    }
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET api/v1/questions/{id}</code></p>
<!-- END_a83563229665ff6c1c321ed7b6cc1c56 -->
<!-- START_45c7f51e301e3153fc1acab3bafae711 -->
<h2>api/v1/questions/{id}</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "http://localhost/api/v1/questions/1" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "http://localhost/api/v1/questions/1"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<h3>HTTP Request</h3>
<p><code>DELETE api/v1/questions/{id}</code></p>
<!-- END_45c7f51e301e3153fc1acab3bafae711 -->
      </div>
      <div class="dark-box">
                        <div class="lang-selector">
                                    <a href="#" data-language-name="bash">bash</a>
                                    <a href="#" data-language-name="javascript">javascript</a>
                              </div>
                </div>
    </div>
  </body>
</html>